Agora Java API Reference for Android

Public Member Functions | List of all members
io.agora.rtm.JoinTopicOptions Class Reference

## Public Member Functions
| JoinTopicOptions ()
| JoinTopicOptions (RtmMessageQos qos, RtmMessagePriority priority)
| JoinTopicOptions (RtmMessageQos qos, RtmMessagePriority priority, boolean syncWithMedia)
| JoinTopicOptions (RtmMessageQos qos, RtmMessagePriority priority, boolean syncWithMedia, String topicMeta)
void | setMessageQos (RtmMessageQos messageQos)
void | setPriority (RtmMessagePriority priority)
void | setSyncWithMedia (boolean syncWithMedia)
void | setTopicMeta (String topicMeta)
int | getMessageQos ()
int | getMessagePriority ()
boolean | getSyncWithMedia ()
String | getTopicMeta ()
String | toString ()

## Detailed Description

Join topic options.

## Constructor & Destructor Documentation

## ◆ JoinTopicOptions() [1/4]

io.agora.rtm.JoinTopicOptions.JoinTopicOptions | ( |  | ) |

The default Constructor of

JoinTopicOptions

.

## ◆ JoinTopicOptions() [2/4]

io.agora.rtm.JoinTopicOptions.JoinTopicOptions | ( | RtmMessageQos | qos,
|  | RtmMessagePriority | priority
| ) |  |

Constructs a new

JoinTopicOptions

object with message qos and priority.

Parameters

  qos | The quality of service for messages sent on the topic
  priority | The priority of the topic message

## ◆ JoinTopicOptions() [3/4]

io.agora.rtm.JoinTopicOptions.JoinTopicOptions | ( | RtmMessageQos | qos,
|  | RtmMessagePriority | priority,
|  | boolean | syncWithMedia
| ) |  |

Constructs a new

JoinTopicOptions

object with the specified parameters.

Parameters

  qos | The quality of service for messages sent on the topic
  priority | The priority of the topic message
  syncWithMedia | Indicates whether to synchronize with media

## ◆ JoinTopicOptions() [4/4]

io.agora.rtm.JoinTopicOptions.JoinTopicOptions | ( | RtmMessageQos | qos,
|  | RtmMessagePriority | priority,
|  | boolean | syncWithMedia,
|  | String | topicMeta
| ) |  |

Create a new

JoinTopicOptions

object with the specified parameters

Parameters

  qos | The quality of service for messages sent on the topic
  priority | The priority of the topic message
  syncWithMedia | Indicates whether to synchronize with media
  topicMeta | The metaData of current topic

io.agora.rtm.JoinTopicOptions.JoinTopicOptions
JoinTopicOptions()
Definition: JoinTopicOptions.java:34